#!/bin/bash

# Classification Model

# deepset
# python train.py --model classification --sub_model deepset --dset modelnet --batch_size 32 --dims 64,256 --categories all \
#   --set_hdim 512,512 --T_end 1 --steps 2 --solver euler --epochs 60 --test_batch_size 32 --gpu 0 --save ./exp/deepset/Classification/modelnet40_4 \
#   --set_size 1024 --num_blocks 1 --fc_dims 128 --data_dir ./data/ModelNet40_cloud.h5

# # deepset ode
python train.py --model classification --sub_model odedset --dset modelnet --batch_size 64 --dims 64,256 --categories all \
  --set_hdim 512,512 --T_end 1 --steps 2 --solver rk4 --epochs 120 --test_batch_size 32 --gpu 4 --save ./exp/setode/deepset/Classification/ag_modelnet40_100 \
  --set_size 100 --num_blocks 1 --fc_dims 128 --data_dir ./data/ModelNet40_cloud.h5 --seed 123 --aug_data True

# transformer ode
python train.py --model classification --sub_model odetrans --dset modelnet --batch_size 64 --dims 64,256 --categories all \
  --set_hdim 256,256 --T_end 1 --steps 2 --solver rk4 --epochs 120 --test_batch_size 32 --gpu 0 --save ./exp/setode/transformer/Classification/ag_modelnet40_100_123 \
  --set_size 100 --num_blocks 1 --fc_dims 128 --data_dir ./data/ModelNet40_cloud.h5 --seed 123